Get one record
curl --request POST \
--url https://gateway.jelou.ai/workflows/v2/memory/users/find-one \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userReferenceId": "<string>",
"botId": "<string>",
"key": "<string>"
}
'import requests
url = "https://gateway.jelou.ai/workflows/v2/memory/users/find-one"
payload = {
"userReferenceId": "<string>",
"botId": "<string>",
"key": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userReferenceId: '<string>', botId: '<string>', key: '<string>'})
};
fetch('https://gateway.jelou.ai/workflows/v2/memory/users/find-one', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Record retrieved successfully",
"data": "confirmacion"
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}Lectura
Obtener un registro
Obtén un único registro de memoria de un usuario por clave
POST
/
v2
/
memory
/
users
/
find-one
Get one record
Descripción
Devuelve un único registro de memoria de un usuario por sukey, identificado por userReferenceId y botId.
Endpoint
POST https://gateway.jelou.ai/workflows/v2/memory/users/find-one
Parámetros del cuerpo
Identificador de referencia externo del usuario.
Identificador del bot asociado a la memoria.
Clave del registro a obtener.
Autenticación
Todas las peticiones deben incluir el encabezadox-api-key con una API key que tenga el scope memory:read.
x-api-key: API_KEY
Ejemplo de solicitud
cURL
x-api-key: API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"userReferenceId": "USER_REFERENCE_ID",
"botId": "BOT_ID",
"key": "paso"
}'
Respuestas
| Código | Estado | Descripción |
|---|---|---|
| 200 | OK | Registro obtenido correctamente. |
| 401 | Unauthorized | Credenciales de autenticación inválidas o faltantes. |
| 403 | Forbidden | La API key no tiene el scope memory:read. |
| 404 | Not Found | No existe un registro con la clave indicada. |
| 422 | Unprocessable Entity | Faltan campos requeridos o el formato es inválido. |
| 500 | Internal Server Error | Error interno del servidor. |
Ejemplo de respuesta
{
"status": "success",
"message": "Record retrieved successfully",
"data": "confirmacion"
}
Autorizaciones
API key del proyecto de Jelou
Cuerpo
application/json
¿Esta página le ayudó?
⌘I